package com.buy507.mall.portal.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("提现申请参数")
public class WithdrawApplyParam {
	
	@ApiModelProperty(value = "提现方式(0: 支付宝; 1: 微信; 2: 银行卡)")
	private Integer withdrawType;
	
	@ApiModelProperty(value = "真实姓名")
	private String realName;
	
	@ApiModelProperty(value = "支付宝账号")
	private String alipayAccount;
	
	@ApiModelProperty(value = "微信账号")
	private String wechatAccount;
	
	@ApiModelProperty(value = "微信昵称")
	private String wechatNickname;
	
	@ApiModelProperty(value = "提现金额")
	private Double value;
	
	@ApiModelProperty(value = "银行信息ID")
	private Long bankAccountId;
	
	public Integer getWithdrawType() {
		return withdrawType;
	}

	public void setWithdrawType(Integer withdrawType) {
		this.withdrawType = withdrawType;
	}

	public String getRealName() {
		return realName;
	}

	public void setRealName(String realName) {
		this.realName = realName;
	}

	public String getAlipayAccount() {
		return alipayAccount;
	}

	public void setAlipayAccount(String alipayAccount) {
		this.alipayAccount = alipayAccount;
	}

	public String getWechatAccount() {
		return wechatAccount;
	}

	public void setWechatAccount(String wechatAccount) {
		this.wechatAccount = wechatAccount;
	}

	public String getWechatNickname() {
		return wechatNickname;
	}

	public void setWechatNickname(String wechatNickname) {
		this.wechatNickname = wechatNickname;
	}

	public Double getValue() {
		return value;
	}

	public void setValue(Double value) {
		this.value = value;
	}

	public Long getBankAccountId() {
		return bankAccountId;
	}

	public void setBankAccountId(Long bankAccountId) {
		this.bankAccountId = bankAccountId;
	}
	
}
